Bug 124968 - installer crashed at intf.run when trying to load x-server
installer crashed at intf.run when trying to load x-server
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-01 13:12 EDT by Jim Cavera
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 14:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Cavera 2004-06-01 13:12:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
Following error message occured when anaconda tried to load x-server:

Traceback:
File "/usr/bin/anaconda" line 1131 in ?
    intf.run(id, dispatch, configFileData)
File "/usr/lib/anaconda/gui.py" line 664 in run
    id.keyboard.activate()
File "/usr/lib/python2.3/site-packages/rhpl/keyboard.py" line 126 in
activate
    executil.execWithRedirect(argv[0], argv)
File "/usr/lib/python2.3/site-packages/rhpl/executil.py" line 81 in
execWithRedirect
    os.execv(command, argv)

OSError: [Errno8] Exec format error

I am on the following machine:

Dell Latitude LS, 10gb HDD, 256 RAM, 2 BLANK DOS partitions (256 Mb,
11000 Mb).  Currently, NO OS is on the machine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert Fedora Core 2 Install disk 1 into machine and start up
2.Go through the media test -- everything passes
3.Do nothing else!  Error occurs when x-server tries to start up.
    

Additional info:
Comment 1 Jeremy Katz 2004-06-01 16:37:03 EDT
Are there any errors on tty4 when this occurs?
Comment 2 Jim Cavera 2004-06-01 17:55:48 EDT
not that i can discern.  screen goes blank, then the aforementioned
dialog comes up with details of the error.  also note, install
occurred sucessfully on 3rd attempt.  first two tries generated this
error, third try went all the way through (but then just hangs on the
reboot).
Comment 3 Jeremy Katz 2004-06-08 15:45:50 EDT
Switching to tty4 (ctrl+alt+f4) should let you see kernel messages to
see if there are any read errors.
Comment 4 Jeremy Katz 2004-10-07 14:42:29 EDT
Closing due to inactivity.  Please reopen if you have further
information to add to this report.

Note You need to log in before you can comment on or make changes to this bug.